Bug 584862 - SELinux is preventing /usr/libexec/gdm-session-worker "add_name" access on .dmrc.MTJ1BV.
SELinux is preventing /usr/libexec/gdm-session-worker "add_name" access ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:88ea4cd27a6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 11:25 EDT by John Antony
Modified: 2018-08-09 12:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 12:31:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Antony 2010-04-22 11:25:18 EDT
Summary:

SELinux is preventing /usr/libexec/gdm-session-worker "add_name" access on
.dmrc.MTJ1BV.

Detailed Description:

SELinux denied access requested by gdm-session-wor. It is not expected that this
access is required by gdm-session-wor and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                .dmrc.MTJ1BV [ dir ]
Source                        gdm-session-wor
Source Path                   /usr/libexec/gdm-session-worker
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gdm-2.30.0-2.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.15-4.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.34-0.38.rc5.git0.fc14.i686 #1 SMP
                              Tue Apr 20 02:16:32 UTC 2010 i686 i686
Alert Count                   6
First Seen                    Thu 22 Apr 2010 11:37:14 PM IST
Last Seen                     Fri 23 Apr 2010 01:08:37 AM IST
Local ID                      f4735807-19df-4026-afda-5db18735729c
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1271965117.842:16): avc:  denied  { add_name } for  pid=2001 comm="gdm-session-wor" name=".dmrc.MTJ1BV" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1271965117.842:16): arch=40000003 syscall=5 success=no exit=-13 a0=9695640 a1=80c2 a2=1b6 a3=1 items=0 ppid=1983 pid=2001 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="gdm-session-wor" exe="/usr/libexec/gdm-session-worker" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,gdm-session-wor,xdm_t,admin_home_t,dir,add_name
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t admin_home_t:dir add_name;
Comment 1 Daniel Walsh 2010-04-22 11:48:28 EDT
Are you attempting to login in as root?
Comment 2 Fedora Update System 2018-08-02 07:43:21 EDT
exiv2-0.26-12.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-871fa4d189
Comment 3 Fedora Update System 2018-08-02 07:44:05 EDT
exiv2-0.26-12.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8b67a5c7e2
Comment 4 Fedora Update System 2018-08-02 10:30:22 EDT
exiv2-0.26-12.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-871fa4d189
Comment 5 Fedora Update System 2018-08-02 13:17:34 EDT
exiv2-0.26-12.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8b67a5c7e2
Comment 6 Fedora Update System 2018-08-06 21:16:35 EDT
exiv2-0.26-12.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2018-08-09 12:51:32 EDT
exiv2-0.26-12.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.